bino <- function(el,n,prob) {

#  Returns a value of binomial distribution at el, 
#  i.e. the probability that X = el, where X has
#  a binomial distribution with parameters prob and n. 
#
#  CODES NEDEED: -
#
   
   k <- el
   if (k>n/2) {
      k = n-k
      q <- prob
      p <- 1 - q
   } else {
      p <- prob
      q <- 1-p
   }

   if (k==0) {
      prod <-  p**n
   } else {

      aux <- floor( (n-k)/k ) 

      nmink <- n - k
      prod <- 1
      fac <- 0
      for (i in 1:k) {
          fac = (nmink + i) / i
          if (aux>0) for (j in 1:aux) fac = fac * q  
          fac = fac * p
          prod = prod * fac    
      }

      bux = nmink - k*aux
      if (bux > 0) {
         for (j in 1:bux) prod = prod * q 
      }

   }

   prod

}

